export function formatDate(date: Date) {
    const isoString = date.toISOString();
    return isoString.slice(0, 10);
}

export function formatTime(date: Date) {
    return date.toLocaleTimeString('en-US', {
        hour: 'numeric',
        minute: '2-digit',
        hour12: true
    });
}

export function getNextWeekday(date?: Date) {
    if (!date) {
        date = new Date();
        date.setHours(8,0,0,0);
    }
    const dayOfWeek = date.getDay();
    const daysToAdd = dayOfWeek === 5? 3: 1;    // Add 3 days if today is friday. Otherwise add 1.

    const nextDay = new Date(date);
    nextDay.setDate(date.getDate() + daysToAdd);
    
    return nextDay;
}